Client A P I
Rotate server database password
Rotates the password for a database attached to a server and returns the updated database.
POST
/api/client/servers/{server_uuid}/databases/{database_id}/rotate-passwordAuthorization
default AuthorizationBearer <token>
Application API requests require an application API token, or a client API token, that belongs to a root administrator. Admin API requests require a client API token that belongs to a root administrator, and reject application API tokens. Client API requests require a client API token.
In: header
Path Parameters
server_uuid*string
The server UUID.
database_id*string
The database ID.
Query Parameters
include?"password"
Comma-separated relationships to include. Supports "password" when the user can view database passwords.
Value in
- "password"
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/client/servers/d3aac109-e5a0-4331-b03e-3454f7e02bbe/databases/Lk3jx4pQ/rotate-password?include=password"{ "object": "server_database", "attributes": { "id": "y7YRVKYq", "host": { "address": "116.159.58.249", "port": 3306 }, "name": "ORsU8T3D8G", "username": "XLygD0lH1D", "connections_from": "%", "max_connections": 0, "relationships": { "password": { "object": "database_password", "attributes": { "password": "test123" } } } }}